Subject: Re: [PATCH 1/4] git p4: bring back files in deleted client directory

From: Pete Wyckoff <[email-masked]>
Date: Mon, 30 Apr 2012 08:36:50 -0400

[email-masked] wrote on Mon, 30 Apr 2012 07:55 +0100:
> On 30/04/12 01:57, Pete Wyckoff wrote:
> >The code to auto-create the client directory, added in 0591cfa
> >(git-p4: ensure submit clientPath exists before chdir,
> >2011-12-09), works when the client directory never existed.
> >
> >But if the directory is summarily removed without telling p4,
> >the sync operation will not bring back all the files.  Always
> >do "sync -f" if the client directory is newly created.
> 
> I'm possibly missing something obvious here, but
> ./t9807-git-p4-submit.sh fails with this change.
> 
> Rebasing the current branch onto remotes/p4/master
> First, rewinding head to replay your work on top of it...
> File file1 doesn't exist. file1
> not ok - 3 submit with no client dir

I can't figure it out.  Will you help debug a bit?  Something
like this maybe.

diff --git a/t/t9807-git-p4-submit.sh b/t/t9807-git-p4-submit.sh
index f23b4c3..e98cc5e 100755
--- a/t/t9807-git-p4-submit.sh
+++ b/t/t9807-git-p4-submit.sh
@@ -31,6 +31,7 @@ test_expect_success 'submit with no client dir' '
 	) &&
 	(
 		cd "$cli" &&
+		pwd && ls -la && p4 sync && ls -la &&
 		test_path_is_file file1 &&
 		test_path_is_file file2
 	)

And if the other "submit modify" etc. tests don't work, it
could be fallout from this one.  Deleting "$cli" is perhaps
at fault:  permissions, ... ?

Or somehow I completely broke things.

I'll try with a newer version of p4, to see if there's a
dependency there.

Thanks for checking!

		-- Pete